﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="ThinkGeo.MapSuite.WmsServerEdition.Admin" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Map Suite WorldMap Service Admin</title>
    <link href="Styles/style.css" rel="stylesheet" />
    <script src="JavaScript/ready-functions.js"></script>
</head>
<body>
    <form id="form1" runat="server">
        <div class="mainDiv">
            <table width="100%">
                <tr id="spliter">
                    <td colspan="2"></td>
                </tr>
                <tr class="logoTitle">
                    <td id="title">Map Suite WorldMap Service Admin
                    </td>
                </tr>
                <tr>
                    <td colspan="2">
                        <div class="content">
                            <a href="WmsHandler.axd?SERVICE=WMS&VERSION=1.1.1&REQUEST=GetCapabilities" target="_blank">View Capabilities</a>
                            <asp:Label runat="server" ID="ExceptionMessage" ForeColor="Red"></asp:Label>
                            <asp:Repeater runat="server" ID="PluginsRepeater" OnItemDataBound="PluginsRepeater_ItemDataBound">
                                <ItemTemplate>
                                    <table style="width:100%">
                                        <tr>
                                            <td style="width:40px;">
                                                <img runat="server" id="PreviewImage" alt="Preview" class="preview"
                                                    visible="false" />
                                            </td>
                                            <td valign="top">
                                                <div id="NameDiv" runat="server" class="name">
                                                    <%# DataBinder.Eval(Container.DataItem, "Name") %>
                                                </div>
                                                <div id="FullNameDiv" runat="server" class="fullName" visible="false">
                                                    <%# DataBinder.Eval(Container.DataItem, "FullName") %>
                                                </div>
                                                <asp:GridView ID="PluginGridView" runat="server" AutoGenerateColumns="False" CellPadding="4" GridLines="None" OnRowDataBound="PluginGridView_RowDataBound" Width="100%">
                                                    <HeaderStyle BackColor="#507CD1" Font-Bold="True" ForeColor="White" />
                                                    <RowStyle BackColor="#EFF3FB" />
                                                    <AlternatingRowStyle BackColor="White" />
                                                    <Columns>
                                                        <asp:BoundField HeaderText="Name" DataField="Name" ItemStyle-Width="250px" ItemStyle-HorizontalAlign="Center">
                                                            <HeaderStyle HorizontalAlign="Center" />
                                                        </asp:BoundField>
                                                        <asp:BoundField HeaderText="Supported Style" ItemStyle-Width="150px" ItemStyle-HorizontalAlign="Center"></asp:BoundField>
                                                        <asp:BoundField HeaderText="Supported Srs" ItemStyle-Width="150px" ItemStyle-HorizontalAlign="Center" />
                                                        <asp:BoundField DataField="FullName" ItemStyle-HorizontalAlign="Center" />
                                                        <asp:TemplateField>
                                                            <ItemTemplate>
                                                                <a runat="server" id="PreviewLink" href="#">Preview</a>
                                                            </ItemTemplate>
                                                        </asp:TemplateField>
                                                    </Columns>
                                                </asp:GridView>
                                            </td>
                                        </tr>
                                    </table>
                                    <hr />
                                </ItemTemplate>
                            </asp:Repeater>
                        </div>
                    </td>
                </tr>
            </table>
        </div>
    </form>
</body>
</html>
